Method: advertisers.adGroupAds.patch

Updates an ad group ad.

This method is only supported for Demand Gen ads.

HTTP request

PATCH https://displayvideo.googleapis.com/v4/advertisers/{adGroupAd.advertiserId}/adGroupAds/{adGroupAd.adGroupAdId}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
adGroupAd.advertiserId

string (int64 format)

Output only. The unique ID of the advertiser the ad belongs to.

adGroupAd.adGroupAdId

string (int64 format)

Output only. The unique ID of the ad. Assigned by the system.

Query parameters

Parameters
updateMask

string (FieldMask format)

Required. The mask to control which fields to update.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

Request body

The request body contains an instance of AdGroupAd.

Response body

If successful, the response body contains an instance of AdGroupAd.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/display-video

For more information, see the OAuth 2.0 Overview.